#!/bin/bash
# Script to run package configure

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi


do_buildstep_prepend


sed -e '/CONFIG_STATIC/d' \
		< defconfig > .config
		echo "# CONFIG_STATIC is not set" >> .config
		for i in 'CROSS' 'DISTRO FEATURES'; do echo "### $i"; done >> .config
		
		sed -i -e '/CONFIG_EXTRA_CFLAGS/d; 		/^[# ]*CONFIG_FEATURE_IPV6[ =]/d
/^[# ]*CONFIG_LFS[ =]/d
/^[# ]*CONFIG_FDISK_SUPPORT_LARGE_DISKS[ =]/d
/^[# ]*CONFIG_LOCALE_SUPPORT[ =]/d
/^[# ]*CONFIG_FEATURE_IFUPDOWN_IPV4[ =]/d
/^[# ]*CONFIG_FEATURE_IFUPDOWN_IPV6[ =]/d
/^[# ]*CONFIG_RFKILL[ =]/d
/^[# ]*CONFIG_RFKILL[ =]/d
/^### DISTRO FEATURES$/a\
CONFIG_FEATURE_IPV6=y\nCONFIG_LFS=y\nCONFIG_FDISK_SUPPORT_LARGE_DISKS=y\n# CONFIG_LOCALE_SUPPORT is not set\nCONFIG_FEATURE_IFUPDOWN_IPV4=y\nCONFIG_FEATURE_IFUPDOWN_IPV6=y\nCONFIG_RFKILL=y\nCONFIG_RFKILL=y

/^### CROSS$/a\
' .config

sed -i 's/CONFIG_IFUPDOWN_UDHCPC_CMD_OPTIONS="-R -n"/CONFIG_IFUPDOWN_UDHCPC_CMD_OPTIONS="-R -b"/' .config

		

log_exec make defconfig

do_buildstep_append


