#!/bin/bash
#
# Recipe-specific step for task Install:  (make_install.sh)
#

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

function local_do_make_install() {
	install -d $installDir$sysconfdir/init.d
	install -d $installDir$sysconfdir/rcS.d
	install -d $installDir$sysconfdir/rc0.d
	install -d $installDir$sysconfdir/rc1.d
	install -d $installDir$sysconfdir/rc2.d
	install -d $installDir$sysconfdir/rc3.d
	install -d $installDir$sysconfdir/rc4.d
	install -d $installDir$sysconfdir/rc5.d
	install -d $installDir$sysconfdir/rc6.d
	install -d $installDir$sysconfdir/default
	install -d $installDir$sysconfdir/default/volatiles
	# Holds state information pertaining to urandom
	install -d $installDir$localstatedir/lib/urandom

	install -m 0644    $buildDir/functions		$installDir$sysconfdir/init.d
	install -m 0755    $buildDir/bootmisc.sh	$installDir$sysconfdir/init.d
	install -m 0755    $buildDir/checkroot.sh	$installDir$sysconfdir/init.d
	install -m 0755    $buildDir/halt		$installDir$sysconfdir/init.d
	install -m 0755    $buildDir/hostname.sh	$installDir$sysconfdir/init.d
	install -m 0755    $buildDir/mountall.sh	$installDir$sysconfdir/init.d
	install -m 0755    $buildDir/mountnfs.sh	$installDir$sysconfdir/init.d
	install -m 0755    $buildDir/reboot		$installDir$sysconfdir/init.d
	install -m 0755    $buildDir/rmnologin.sh	$installDir$sysconfdir/init.d
	install -m 0755    $buildDir/sendsigs		$installDir$sysconfdir/init.d
	install -m 0755    $buildDir/single		$installDir$sysconfdir/init.d
	install -m 0755    $buildDir/umountnfs.sh	$installDir$sysconfdir/init.d
	install -m 0755    $buildDir/urandom		$installDir$sysconfdir/init.d
	sed -i $installDir$sysconfdir/init.d/urandom -e 's,$localstatedir/,$localstatedir/,g;s,$sysconfdir/,$sysconfdir/,g'
	install -m 0755    $buildDir/devpts.sh	$installDir$sysconfdir/init.d
	install -m 0755    $buildDir/devpts		$installDir$sysconfdir/default
	install -m 0755    $buildDir/sysfs.sh		$installDir$sysconfdir/init.d
	install -m 0755    $buildDir/populate-volatile.sh $installDir$sysconfdir/init.d
	install -m 0755    $buildDir/read-only-rootfs-hook.sh $installDir$sysconfdir/init.d
	install -m 0755    $buildDir/save-rtc.sh	$installDir$sysconfdir/init.d
	install -m 0644    $buildDir/volatiles		$installDir$sysconfdir/default/volatiles/00_core
	if [ True = True ]; then
		echo "l root root 0755 $localstatedir/log $localstatedir/volatile/log" >> $installDir$sysconfdir/default/volatiles/00_core
	fi
	install -m 0755    $buildDir/dmesg.sh		$installDir$sysconfdir/init.d
	install -m 0644    $buildDir/logrotate-dmesg.conf $installDir$sysconfdir

	if [ "i586" = "arm" ]; then
		install -m 0755 $buildDir/alignment.sh	$installDir$sysconfdir/init.d
	fi

	if false; then
		install -d $installDir//sbin
		install -m 0755 $buildDir/sushell $installDir//sbin
	fi
	install -m 0755 $buildDir/banner.sh	$installDir$sysconfdir/init.d/banner.sh
	install -m 0755 $buildDir/umountfs	$installDir$sysconfdir/init.d/umountfs
	update-rc.d -r $installDir rmnologin.sh start 99 2 3 4 5 .
	update-rc.d -r $installDir sendsigs start 20 0 6 .
	update-rc.d -r $installDir urandom start 38 S 0 6 .
	update-rc.d -r $installDir umountnfs.sh start 31 0 1 6 .
	update-rc.d -r $installDir umountfs start 40 0 6 .
	update-rc.d -r $installDir reboot start 90 6 .
	update-rc.d -r $installDir halt start 90 0 .
	update-rc.d -r $installDir save-rtc.sh start 25 0 6 .
	update-rc.d -r $installDir banner.sh start 02 S .
	update-rc.d -r $installDir checkroot.sh start 06 S .
	update-rc.d -r $installDir mountall.sh start 03 S .
	update-rc.d -r $installDir hostname.sh start 39 S .
	update-rc.d -r $installDir mountnfs.sh start 15 2 3 4 5 .
	update-rc.d -r $installDir bootmisc.sh start 36 S .
	update-rc.d -r $installDir sysfs.sh start 02 S .
	update-rc.d -r $installDir populate-volatile.sh start 37 S .
	update-rc.d -r $installDir read-only-rootfs-hook.sh start 29 S .
	update-rc.d -r $installDir devpts.sh start 06 S .
	if [ "i586" = "arm" ]; then
	        update-rc.d -r $installDir alignment.sh start 06 S .
	fi
	# We wish to have $localstatedir/log ready at this stage so execute this after
	# populate-volatile.sh
	update-rc.d -r $installDir dmesg.sh start 38 S .
}

do_buildstep_prepend

local_do_make_install

do_buildstep_append

