#!/bin/bash
# Script to run make install with input target and arguments for liberation-fonts

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

SRC_NAME=${SRC_LOC%.tar.*}
SRC_NAME=${SRC_NAME##*/}

if [ "$SRC_NAME" = "empty" ]; then
	exit 0
fi

log_exec rm -rf $SRC_NAME

for src in "$DOWNLOAD_LOC/$(basename $SRC_LOC)" "$DOWNLOAD_LOC/$(basename $SRC_LOC).tar.*"; do
	if [ -r "$src" ]; then
		log_exec tar xf "$src"
		break
	fi
done

do_buildstep_prepend

do_install () {

	echo "mkdir -p _install"
	mkdir -p _install

	S=$SRC_NAME
	echo "S=$S"

	D=$installDir
	echo "D=$D"

	echo "libdir=$libdir"
	echo "includedir=$includedir"
	echo "bindir=$bindir"
	echo "sysconfdir=$sysconfdir"
	echo "datadir=$datadir"

	install -d ${D}${datadir}/fonts/ttf/
	for i in ${S}/*.ttf; do
		log_exec install -m 0644 $i ${D}${prefix}/share/fonts/ttf/
	done

	log_exec install -d ${D}${sysconfdir}/fonts/conf.d/
	log_exec install -m 0644 30-liberation-aliases.conf ${D}${sysconfdir}/fonts/conf.d/

	log_exec install -d ${D}${prefix}/share/doc/${BPN}/
	log_exec install -m 0644 ${S}/License.txt ${D}${datadir}/doc/${BPN}/
}

do_install

do_buildstep_append
