#!/bin/bash
# Script to run make install with input target and arguments

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

do_python_make() {
	do_make PGEN=${NATIVE_SYSROOT_LOC}/usr/bin/python3/pgen \
		HOSTPYTHON={NATIVE_SYSROOT_LOC}/usr/bin/python3/python3 \
		STAGING_LIBDIR=${STAGING_LIBDIR} \
		STAGING_INCDIR=${STAGING_INCDIR} \
		STAGING_BASELIBDIR=${STAGING_BASELIBDIR} \
		LIB=lib \
		ARCH=${arch_name} \
		OPT="${CFLAGS}" \
		"$@"
}

do_buildstep_prepend

# make install needs the original Makefile, or otherwise the inclues would
# go to ${D}${STAGING...}/...
log_exec install -m 0644 ${B}/Makefile.orig ${B}/Makefile

log_exec install -d ${D}${libdir}/pkgconfig
log_exec install -d ${D}${libdir}/python${PYTHON_MAJMIN}/config

# rerun the build once again with original makefile this time
# run install in a separate step to avoid compile/install race
do_python_make DESTDIR=${D} LIBDIR=${libdir}

do_python_make DESTDIR=${D} LIBDIR=${libdir} install

# avoid conflict with 2to3 from Python 2
log_exec rm -f ${D}/${bindir}/2to3

log_exec install -m 0644 ${B}/Makefile.sysroot ${D}/${libdir}/python${PYTHON_MAJMIN}/config/Makefile
log_exec install -m 0644 ${B}/Makefile.sysroot ${D}/${libdir}/python${PYTHON_MAJMIN}/config-${PYTHON_BINABI}/Makefile

if [ -e ${S}/sitecustomize.py ]; then
	log_exec install -m 0644 ${S}/sitecustomize.py ${D}/${libdir}/python${PYTHON_MAJMIN}
fi

#oe_multilib_header python${PYTHON_BINABI}/pyconfig.h

do_buildstep_append
