#!/bin/bash
#
# Recipe-specific step for task Configure: task.configure.wpa-supplicant_2.9-r0 (configure.sh)
#
# This script was imported from Yocto but may have been modified locally
#

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

function local_do_configure() {
	log_run make -C wpa_supplicant clean
	log_run install -m 0755 ${workDir}/defconfig wpa_supplicant/.config

	if echo "openssl" | grep -qw "openssl"; then
		ssl=openssl
	elif echo "openssl" | grep -qw "gnutls"; then
		ssl=gnutls
	fi
	if [ -n "$ssl" ]; then
		sed -i "s/\%ssl\%/${ssl}/" wpa_supplicant/.config
	fi

	# For rebuild
	rm -f wpa_supplicant/*.d wpa_supplicant/dbus/*.d
}

do_buildstep_prepend

local_do_configure

do_buildstep_append

