#!/bin/bash
#
# Recipe-specific step for task Install: task.install.wpa-supplicant_2.9-r0 (make_install.sh)
#
# This script was imported from Yocto but may have been modified locally
#

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

function local_do_make_install() {
	log_run install -d ${installDir}${sbindir}
	log_run install -m 755 wpa_supplicant/wpa_supplicant ${installDir}${sbindir}
	log_run install -m 755 wpa_supplicant/wpa_cli        ${installDir}${sbindir}

	log_run install -d ${installDir}${bindir}
	log_run install -m 755 wpa_supplicant/wpa_passphrase ${installDir}${bindir}

	log_run install -d ${installDir}${datadir}/doc/wpa_supplicant
	log_run install -m 644 wpa_supplicant/README ${workDir}/wpa_supplicant.conf ${installDir}${datadir}/doc/wpa_supplicant

	log_run install -d ${installDir}${sysconfdir}
	log_run install -m 600 ${workDir}/wpa_supplicant.conf-sane ${installDir}${sysconfdir}/wpa_supplicant.conf

	log_run install -d ${installDir}${sysconfdir}/network/if-pre-up.d
	log_run install -d ${installDir}${sysconfdir}/network/if-post-down.d
	log_run install -d ${installDir}${sysconfdir}/network/if-down.d
	log_run install -m 755 ${workDir}/wpa-supplicant.sh ${installDir}${sysconfdir}/network/if-pre-up.d/${recipe_name}
	cd ${installDir}${sysconfdir}/network && \
	log_run ln -sf ../if-pre-up.d/${recipe_name} if-post-down.d/${recipe_name}

	log_run install -d ${installDir}/${sysconfdir}/dbus-1/system.d
	log_run install -m 644 ${buildDir}/wpa_supplicant/dbus/dbus-wpa_supplicant.conf ${installDir}/${sysconfdir}/dbus-1/system.d
	log_run install -d ${installDir}/${datadir}/dbus-1/system-services
	log_run install -m 644 ${buildDir}/wpa_supplicant/dbus/*.service ${installDir}/${datadir}/dbus-1/system-services

	if false; then
		log_run install -d ${installDir}/${base_libdir}/systemd/system
		log_run install -m 644 ${buildDir}/wpa_supplicant/systemd/*.service ${installDir}/${base_libdir}/systemd/system
	fi

	log_run install -d ${installDir}${sysconfdir}/default/volatiles
	log_run install -m 0644 ${workDir}/99_wpa_supplicant ${installDir}${sysconfdir}/default/volatiles
}

do_buildstep_prepend

local_do_make_install

do_buildstep_append

