#!/bin/bash
# Script to install init scripts and services

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

WORKDIR=${S}
systemd_unitdir=${base_libdir}/systemd

do_buildstep_prepend

# Cleanup previous installation
do_cleanup_install_loc

log_exec install -Dm755 ${WORKDIR}/init ${D}/${sysconfdir}/init.d/weston
if [ "${USE_SYSTEMD}" = "yes" ]; then
	log_exec install -Dm0644 ${WORKDIR}/weston.service ${D}${systemd_system_unitdir}/weston.service
fi

# Install weston-start script
log_exec install -Dm755 ${WORKDIR}/weston-start ${D}${bindir}/weston-start
sed -i 's,@DATADIR@,${datadir},g' ${D}${bindir}/weston-start
sed -i 's,@LOCALSTATEDIR@,${localstatedir},g' ${D}${bindir}/weston-start

do_buildstep_append
