#!/bin/bash
# Script to generate configure scripts

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

do_buildstep_prepend

# Filter-out updated configure options to pass them to the bootstrap script
declare -a bootstrap_opts
nb_opts=0
raw_mode=false
for opt in $updated_configure_other_flags; do
	if $raw_mode; then 
		bootstrap_opts[nb_opts++]="$opt"
		continue
	fi
	
	case $opt in
		--)          raw_mode=true; bootstrap_opts[nb_opts++]="$opt" ;;
		--verbose)                  bootstrap_opts[nb_opts++]="$opt" ;;
		--prefix=*)                 bootstrap_opts[nb_opts++]="$opt" ;;
		--qt-*     | --no-qt-*)     bootstrap_opts[nb_opts++]="$opt" ;;
		--system-* | --no-system-*) bootstrap_opts[nb_opts++]="$opt" ;;
		--server   | --no-server)   bootstrap_opts[nb_opts++]="$opt" ;;
		--parallel=*)               bootstrap_opts[nb_opts++]="$opt" ;;
		--enable-ccache)            bootstrap_opts[nb_opts++]="$opt" ;;
		--init=*)                   bootstrap_opts[nb_opts++]="$opt" ;;
		--sphinx-*)                 bootstrap_opts[nb_opts++]="$opt" ;;
	esac
done

# Suppress a few tests
sed -i 's/^find_package(Qt5Core QUIET)$/#&/g' Tests/RunCMake/CMakeLists.txt
sed -i 's/^  find_package(Qt5Core REQUIRED)/#&/g' Tests/Qt4And5Automoc/CMakeLists.txt
sed -i 's/^  find_package(Qt5Widgets QUIET NO_MODULE)/#&/g' Tests/CMakeLists.txt
sed -i 's/^find_package(Qt5Widgets QUIET)/#&/g' Source/QtDialog/CMakeLists.txt
sed -i 's/^  find_package(Qt5Widgets REQUIRED)/#&/g' Tests/QtAutoUicInterface/CMakeLists.txt
sed -i 's/^  find_package(Qt5Widgets REQUIRED)/#&/g' Tests/QtAutogen/CMakeLists.txt
sed -i 's/^  find_package(Qt5Core REQUIRED)/#&/g' Tests/QtAutogen/autorcc_depends/CMakeLists.txt

log_exec ./bootstrap "${bootstrap_opts[@]}"

do_buildstep_append