# !/bin/bash
# 
# Create a libtinfo.so library pointing to libncurses.so if needed
# for packages that insist on having two independent libraries
#

for ext in .so w.so .la w.la; do
	for ncurses in $installDir/$libdir/libncurses$ext*; do
		if [ -r $ncurses ]; then
			tinfo=${ncurses/libncurses$ext/libtinfo$ext}
			if [ ! -r $tinfo ]; then
				log_exec ln -nfs $(basename $ncurses) $tinfo
			fi
		fi
	done
done

# in ncurses-cross we must rename ncurses-config with $configure_target_alias-
log_exec mv ${installDir}${bindir}/ncurses6-config ${installDir}${bindir}/${configure_target_alias}-ncurses6-config