#!/bin/bash
# Script configure the OpenSSL package
# Please edit this script to configure the package if needed

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

configure_other_flags="--prefix=$prefix --openssldir=$sysconfdir/ssl --libdir=lib shared"
# Used to add no-ssl3; why?
# We can't add zlib-dynamic nor zlib as, for some reason, it does not find BIO_f_zlib...

MACHINE=
SYSTEM=Linux
RELEASE=4.0
VERSION=SW4L
BUILD=SW4L
if [ -n "$configure_host_alias" ]; then
	CROSS_COMPILE=$configure_host_alias-
else
	CROSS_COMPILE=
fi
CC=gcc
RANLIB=${CROSS_COMPILE}ranlib

# RELEASE above should come from the chosen Linux kernel...

(
export MACHINE
export SYSTEM
export RELEASE
export VERSION
export BUILD
export CROSS_COMPILE
export CC
export RANLIB

log_exec ./config $configure_other_flags
)

do_make depend

# make depend may fail harmlessly
true
